Subject: RE: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: "Drew Adams" <[email-masked]>
Date: Fri, 1 Feb 2013 08:43:18 -0800

> Nope, this is still a problem - it just happened again, with 
> a 2-day-old build.
> 
> I was editing a file, then had just saved it (C-x C-s) and 
> tried to continue
> editing, and I got the message saying that the file on disk 
> had been changed and
> asking me if I really wanted to edit the buffer.
> 
> IOW: I typed some chars, did C-x C-s, then tried to type some 
> more chars.  Boom.
> 
> Oh, and BTW, shouldn't the prompt/message saying that the 
> file was changed and
> asking me whether I wanted to edit be recorded in *Messages*? 
>  It is not.  That
> too seems like a bug, but I'll let you decide that.
> 
> This is with this build... 2013-01-30 on ODIEONE Bzr revision: 111631 

Wow, it just happened _again_, and I wasn't even doing anything in Emacs (and
certainly wasn't doing anything to the file outside Emacs).

I was reading mail (outside Emacs), then went back to Emacs and tried to type
some more in the buffer (which I know had been saved), and I got the same
message/prompt again.

HTH.